const fs = require('fs-extra')
const archiver = require('archiver')
const path = require('path')

module.exports = function (tarPath, root, chartCode, callback) {
  if (!fs.existsSync(tarPath)) {
    fs.mkdirpSync(tarPath)
  }

  tarPath = path.join(tarPath, `/dmp-chart-${chartCode}.zip`)

  const output = fs.createWriteStream(tarPath)
  const archive = archiver('zip', {
    zlib: { level: 9 }
  })

  output.on('close', () => {
    callback(null, tarPath)
  })

  archive.on('error', (err) => {
    callback(err)
  })

  archive.pipe(output)
  archive.directory(`${root}/`, false)
  archive.finalize()
}
