import React from 'react'

import DMPSimulator from './components/dmpsimulator/dmpsimulator'
import './components/dmpsimulator/css/dmpsimulator.min.css'

// 当前预览的组件
const echart = require('../chartlibs/chartlink/index').default
const packageInfo = require('../chartlibs/chartlink/package.json')

const { info, designer, icons, preview } = echart || {}
const chartlibs = [
  {
    code: info && info.code,
    name: info && info.name,
    chart_type: info && info.type,
    data_logic_type_code: info && info.data_logic_type_code,
    operation: null,
    icons: icons || {},
    previewImage: preview,
    pkgconfig: {
      dataSourceOrigin: designer.dataSourceOrigin,
      indicatorRules: designer.indicatorRules,
      indicatorDescription: designer.indicatorDescription,
      sortable: !!designer.sortable,
      penetrable: !!designer.penetrable,
      linkage: !!designer.linkage,
      canLinked: !!designer.canLinked,
      hasZaxis: !!designer.hasZaxis,
      hasDesiredvalue: !!designer.hasDesiredvalue,
      dimsReportRedirect: !!designer.dimsReportRedirect,
      numsReportRedirect: !!designer.numsReportRedirect
    },
    echart,
    pkginfo: packageInfo || {},
  }
]

class App extends React.Component {
  render() {
    return (
      <DMPSimulator
        chartlibs={chartlibs}
      />
    )
  }
}

export default App
